Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CacheMethod

    java.lang.Object
      |
      +--com.beasys.commerce.util.CacheMethod

public class CacheMethod
extends java.lang.Object

Abstracts a key for caching Java method objects

Constructor Summary
`CacheMethod(java.lang.Class clazz, java.lang.String methodName, java.lang.Class[] paramTypes, java.lang.reflect.Method method)` Cache method.

Method Summary
`protected boolean` | `checkParams(java.lang.Class[] someParams)` Check params.
`boolean` | `equals(java.lang.Object anObject)` Equals.
`java.lang.String` | `getKey()` Returns a key
`java.lang.reflect.Method` | `getMethod()` Returns the method
`void` | `setMethod(java.lang.reflect.Method method)` Sets the method
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheMethod

    public CacheMethod(java.lang.Class clazz,
                       java.lang.String methodName,
                       java.lang.Class[] paramTypes,
                       java.lang.reflect.Method method)

  Cache method.

  Parameters:
    `clazz` - Class that the method is specified in
    `method` - Method
    `params` - Array of parameter types
    `` -

Method Detail

### getKey

    public java.lang.String getKey()

  Returns a key

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getMethod

    public java.lang.reflect.Method getMethod()

  Returns the method

### setMethod

    public void setMethod(java.lang.reflect.Method method)

  Sets the method

### equals

    public boolean equals(java.lang.Object anObject)

  Equals.

  Parameters:
    `anObject` -
  Returns:
    `boolean`
  Overrides:
    equals in class java.lang.Object

### checkParams

    protected boolean checkParams(java.lang.Class[] someParams)

  Check params.

  Parameters:
    `someParams` -
  Returns:
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved